## ros-foxy-oroca-rqt-command 0.6.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(oroca_rqt_command)

################################################################################
# Find and load build settings from external packages
################################################################################
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

################################################################################
# Install
################################################################################
ament_python_install_package(${PROJECT_NAME}
  PACKAGE_DIR src/${PROJECT_NAME})

install(FILES
  plugin.xml
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
  resource
  launch
  DESTINATION share/${PROJECT_NAME}
)

install(PROGRAMS
  scripts/rqt_command
  DESTINATION lib/${PROJECT_NAME}
)

################################################################################
# Test
################################################################################
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-foxy-oroca-rqt-command (0.6.0-3focal) focal; urgency=high

  * Modified pkg name to binary release
  * Contributors: Pyo

 -- Pyo <passionvirus@gmail.com>  Mon, 29 Mar 2021 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.5.0-3focal) focal; urgency=high



 -- Pyo <passionvirus@gmail.com>  Wed, 03 Mar 2021 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.4.0-3focal) focal; urgency=high

  * Added a launch file for running with turtlesim node
  * Code refactoring
  * Contributors: Pyo

 -- Pyo <passionvirus@gmail.com>  Sun, 21 Feb 2021 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.3.0-3focal) focal; urgency=high

  * Changed code for new ROS 2 seminar
  * Contributors: Pyo

 -- Pyo <passionvirus@gmail.com>  Thu, 28 Jan 2021 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.2.1-3focal) focal; urgency=high

  * Changed text of keypad for O/S's compatibility
  * Changed code for PEP-8 and bumped to new version
  * Contributors: Pyo

 -- Pyo <passionvirus@gmail.com>  Thu, 08 Aug 2019 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.2.0-3focal) focal; urgency=high

  * Improved code using new code style guides
  * Contributors: Pyo

 -- Pyo <passionvirus@gmail.com>  Wed, 31 Jul 2019 15:00:00 -0000

ros-foxy-oroca-rqt-command (0.1.0-3focal) focal; urgency=high

  * Added examples_rqt as rqt plugin for visualizing messages and services
  * Contributors: Pyo, Darby Lim

 -- Pyo <passionvirus@gmail.com>  Mon, 17 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-oroca-rqt-command
Section: misc
Priority: optional
Maintainer: Pyo <passionvirus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-oroca-rqt-command
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, ros-foxy-geometry-msgs, ros-foxy-python-qt-binding, ros-foxy-qt-gui-py-common, ros-foxy-rclpy, ros-foxy-rqt-gui, ros-foxy-rqt-gui-py, ros-foxy-rqt-py-common, ros-foxy-std-srvs, ros-foxy-ros-workspace
Description: ROS 2 example for RQt plugin

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-oroca-rqt-command//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
